/**
 * Created by ashesh on 1/26/2017.
 */
public abstract class AbstractShape implements Shape {
  protected Point2D reference;

  protected AbstractShape(Point2D reference) {
    this.reference = reference;
  }

  @Override
  public double distToOrigin() {
    return reference.dist(new Point2D(0, 0));
  }


  public double getX() {
    return reference.getX();
  }

  public double getY() {
    return reference.getY();
  }

}
